How to install gyachi 1.2 in Debian Squeeze

First, install the dependencies:

sudo apt-get install build-essential checkinstall libasound2 libatk1.0-0 libc6 libcairo2 libdbus-1-3 libdbus-glib-1-2 libexpat1 libfontconfig1 libfreetype6 libglib2.0-0 libgtk2.0-0 libgtkhtml3.14-19 libjasper1 libjpeg62 libltdl7 libnotify1 libnotify1-gtk2.10 libpango1.0-0 libssl0.9.8 libv4l-0 libx11-6 libxml2 mcrypt libasound2-dev libatk1.0-dev libc6-dev libcairo2-dev libdbus-1-dev libdbus-glib-1-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libglib2.0-dev libgtk2.0-dev libgtkhtml3.14-dev libjasper-dev libjpeg62-dev libltdl7-dev libnotify-dev libpango1.0-dev libssl-dev libv4l-dev libx11-dev libxml2-dev libmcrypt-dev libgtkspell-dev

Unfortunately, this is not enough. We shall rebuild the gpgme11 package, because you will get the following error otherwise:

checking for gpgme.h... no
configure: error: cannot find include file gpgme.h. Perhaps you need to install the gpgme development package?

To do so, execute:

apt-get source libgpgme11-dev
cd gpgme1.0-1.2.0/
vi debian/rules

Add this line after the last endif:

export CFLAGS += -D_FILE_OFFSET_BITS=64

Then execute:

apt-get build-dep libgpgme11
apt-get -b source gpgme1.0
sudo dpkg -i *.deb

Also, you need to install libgtkhtml2, otherwise you will get the following error:

configure: error: Either WEBKITGTK devel or GTKHTML2 devel must be installed.

So, execute:

wget http://ftp.debian.org/debian/pool/main/libg/libgtkhtml2/libgtkhtml2-dev_2.11.1-2_i386.deb
wget http://ftp.debian.org/debian/pool/main/libg/libgtkhtml2/libgtkhtml2-0_2.11.1-2_i386.deb
sudo dpkg -i libgtkhtml2-*.deb

Next, download and install the package:

wget http://downloads.sourceforge.net/project/gyachi/gyachi/1.2.11/gyachi-1.2.11.tar.gz?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fgyachi%2Ffiles%2Fgyachi%2F1.2.11%2F&ts=1329662849&use_mirror=kent
tar xvzf gyachi-1.2.11
./autogen.sh
./configure --disable-rpath --enable-maintainer-mode --prefix /usr
make
sudo checkinstall -D make install

Mission accomplished.

Anunțuri

2 Comments

  1. va
    Posted 20 Februarie, 2012 at 6:01 pm | Permalink | Răspunde

    Superb!… dar ca sa fie utilizabil pt tot poporul ar fii bun si un tutorial pentru debian pe 64.

    • Badan Sergiu
      Posted 20 Februarie, 2012 at 9:02 pm | Permalink | Răspunde

      In principiu pasii sunt aceiasi, cu exceptia ca se descarca pachetul libgtkhtml2 pentru 64 biti in pasul cu pricina. Daca ceva nu se primeste, posteaza eroarea.
      Oricum, gyachi a pierdut o calitate importanta – detectarea invizibililor.

One Trackback

  1. By Cómo instalar Gyachi en Ubuntu 11.10 on 19 Martie, 2012 at 11:23 am

    […] Cómo instalar GyachI en Debian Squeeze Comparte en:Share GDebi, GYachE Improved, Gyachi, PPA, Tips, Ubuntu, Yahoo! Messenger […]

Lasă un răspuns

Completează mai jos detaliile tale sau dă clic pe un icon pentru a te autentifica:

Logo WordPress.com

Comentezi folosind contul tău WordPress.com. Dezautentificare / Schimbă )

Poză Twitter

Comentezi folosind contul tău Twitter. Dezautentificare / Schimbă )

Fotografie Facebook

Comentezi folosind contul tău Facebook. Dezautentificare / Schimbă )

Fotografie Google+

Comentezi folosind contul tău Google+. Dezautentificare / Schimbă )

Conectare la %s

%d blogeri au apreciat asta: